Page tree

Para el servidor 1C:Enterprise instalado sobre Linux, las siguientes librerías deberían estar instalados: „

  • ImageMagick: ○ versión 6.3.2 o superior (no compatible con la versión 7.0 o superior)
  • freetype 2.1.9 o superior „
  • libgsf 1.10.1 o superior „
  • msttcorefonts para sistemas basados en Debian o corefonts para sistemas basados en rpm

Hay varias opciones de como instalar dichas librerías. Un ejemplo esta proporcionado abajo. No en todas las versiones de Linux el ejemplo funcionara.

Instalación de librerías para CentOS 7 x64

#Imagemagic

yum install libwmf-lite.x86_64
rpm -U https://www.imagemagick.org/download/linux/CentOS/x86_64/ImageMagick-6.9.7-4.x86_64.rpm
rpm -U https://www.imagemagick.org/download/linux/CentOS/x86_64/ImageMagick-libs-6.9.7-4.x86_64.rpm

yum install freetype libgsf

#Mscorefonts
yum install epel-release.noarch
yum install curl cabextract xorg-x11-font-utils fontconfig
yum install https://downloads.sourceforge.net/project/mscorefonts2/rpms/msttcore-fonts-installer-2.6-1.noarch.rpm

Instalación de librerías para CentOS 7 x32


wget http://li.nux.ro/download/nux/dextop/el7/x86_64/msttcore-fonts-installer-2.6-1.noarch.rpm

wget http://springdale.math.ias.edu/data/puias/unsupported/7/x86_64//cabextract-1.5-1.sdl7.x86_64.rpm

msttcore-fonts-installer-2.6-1.noarch.rpmcabextract-1.5-1.sdl7.x86_64.rpm


Librerias para CentOS8 y servidor de 32 bits

yum install glibc.i686 libgcc.i686 libpq.i686 libnsl.i686

Librerias para CentOS8 y ImageMagic i686

yum install libstdc++.i686

http://mirror.centos.org/centos/7/os/x86_64/Packages/ilmbase-1.0.3-7.el7.i686.rpm

http://mirror.centos.org/centos/7/os/x86_64/Packages/OpenEXR-libs-1.7.1-7.el7.i686.rpm

yum install libgsf.i686 libX11.i686 pango.i686 libtiff.i686 libpng15.i686 librsvg2.i686 libgomp.i686 lcms2.i686 libXt.i686 libgs.i686 libtool-ltdl.i686 libwmf.i686

http://mirror.centos.org/centos/7/os/x86_64/Packages/ImageMagick-6.9.10.68-3.el7.i686.rpm

La libreria ilmbase.i686  no tiene que estar instalada desde yum, porque la version 2 no es compatible con ImageMagic.i686

OpenEXR-libs-1.7.1-7.el7.i686.rpmilmbase-1.0.3-7.el7.i686.rpm

Artículos relacionados